%global momorel 13

Summary: A tool which will start a program on a virtual console.
Name: open
Version: 1.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/open-%{version}.tar.gz
Patch: open-1.4-includes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
The open command starts a specified command with the first available
virtual console, or on a virtual console that you specify.

Install the open package if you regularly use virtual consoles to run
programs.

%prep
%setup -q
%patch -p1

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_mandir}/man1

make BINDIR=%{buildroot}/usr/bin MANDIR=%{buildroot}%{_mandir}/man1 install

strip %{buildroot}/usr/bin/{open,switchto}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/open
/usr/bin/switchto
%{_mandir}/man1/open.1*
%{_mandir}/man1/switchto.1*

%ChangeLog
* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.4-13m)
- use %%{momorel}

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.4-12k)
- Change to tsx.mit.edu

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Apr 07 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.4-7).

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man pages / new description

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- changed source url to ftp://...
- fixed braindeadness with NAME_MAX

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
